Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage
Interface Statistic

    public interface Statistic

Defines an interface for a statistic. Statistics provide numeric value streams that are often associated with a chart. They can be listened to.

Field Summary
`static int` | `DRAW_DISCRETE`
`static int` | `DRAW_LINEAR`
`static int` | `DRAW_SAMPLEHOLD`
`static double` | `UNSET`

Method Summary
`boolean` | `addListener(StatisticListener listener)` Add a listener.
`void` | `clearListeners()` Clear all listeners.
`String` | `getDescription()` Get a description of the statistic.
`int` | `getDrawStyle()` Get the preferred draw style.
`String` | `getName()` Get the name of the statistic.
`String` | `getOrdinateDescription()` Get the ordinate description.
`double` | `getValue()` Get the current value of the passed statistic.
`boolean` | `hasListeners()` Does the statistic have listeners?
`boolean` | `removeListener(StatisticListener listener)` Remove a listener.

Field Detail

### DRAW_LINEAR

    static final int DRAW_LINEAR

See Also:
  Constant Field Values

### DRAW_DISCRETE

    static final int DRAW_DISCRETE

See Also:
  Constant Field Values

### DRAW_SAMPLEHOLD

    static final int DRAW_SAMPLEHOLD

See Also:
  Constant Field Values

### UNSET

    static final double UNSET

See Also:
  Constant Field Values

Method Detail

### getName

    String getName()

  Get the name of the statistic.

### getDescription

    String getDescription()

  Get a description of the statistic.

### getOrdinateDescription

    String getOrdinateDescription()

  Get the ordinate description.

### getDrawStyle

    int getDrawStyle()

  Get the preferred draw style.

### getValue

    double getValue()

  Get the current value of the passed statistic.

### addListener

    boolean addListener(StatisticListener listener)

  Add a listener.

### removeListener

    boolean removeListener(StatisticListener listener)

  Remove a listener.

### clearListeners

    void clearListeners()

  Clear all listeners.

### hasListeners

    boolean hasListeners()

  Does the statistic have listeners?

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.